Cloady Docs
API ReferenceEndpointsApplications

Deploy an app from a git repository or upload

POST
/api/workspaces/{workspaceSlug}/deploy
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/workspaces/string/deploy" \  -H "Content-Type: application/json" \  -d '{    "region": "string",    "source": {      "type": "git",      "repoUrl": "string"    }  }'
{  "app": {    "slug": "string",    "env": "production",    "name": "string",    "status": "deploying",    "uptime": "string",    "region": "string",    "subServices": [      {        "name": "string",        "image": "string",        "role": "web",        "port": 0,        "status": "deploying",        "limits": {          "cpu": 0,          "memory": 0        }      }    ],    "endpoints": [      {        "component": "string",        "url": "string",        "protocol": "http",        "port": 0,        "custom": true      }    ],    "limits": {      "cpu": 0,      "memory": 0,      "storage": 0    },    "scale": {      "cpu": 0.5,      "memory": 0.5,      "volumes": {        "property1": 1,        "property2": 1      }    },    "source": {      "type": "git",      "repoUrl": "string",      "branch": "string",      "subdir": "string",      "autoDeploy": true,      "branchTracking": {        "mode": "off",        "pattern": "string"      },      "profiles": [        "string"      ]    }  }}